LinkPrefixCharset for Norwegian (bokmål)
Closed, InvalidPublic

Description

The linkprefixcharset for no should be adjusted

Existing form is the default, new form should be

$linkPrefixCharset = "a-zàáâçčʒǯđðéèêëǧǥȟíìîïıǩŋñóòôõßšŧúùûýÿüžþæøåäö";
$linkPrefixCharset .= mb_strtoupper($linkPrefixCharset);
$linkPrefixCharset .= "\'-";

The previous should include all capital letters, chose any form you like that is efficient. I believe the trailing hyphen gives a valid result, move it up front if in doubt.

The apostrophe is not very common in Norwegian, but the hyphen are common.

It should be verified that use of a hyphen and a single prefixed apostrophe does not pose any problem, like in the following wikitext which is all sort of valid in nowiki

* u[[bestemt]]
* for[[stavn]]
* '''[[39]]''
* ''''[[39]]'''
* ''''''[[39]]'''''
* ''c'[[h]]''
* '''c'[[h]]'''
* '''''c'[[h]]'''''
* ''anti-[[virus]]''
* '''anti-[[URL]]'''
* '''''anti-[[URL]]'''''

Note T29473 and T130451, please fix this properly and not just hack in a solution.

jeblad created this task.Mar 19 2016, 11:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2016, 11:44 AM
jeblad updated the task description. (Show Details)Mar 19 2016, 11:58 AM
jeblad updated the task description. (Show Details)Mar 19 2016, 12:00 PM
Stigmj added a subscriber: Stigmj.Mar 19 2016, 12:24 PM
jeblad updated the task description. (Show Details)Mar 19 2016, 1:04 PM
jeblad added a comment.EditedMar 19 2016, 8:29 PM

Unles anyone has a better idea

$linkPrefixCharset = "a-zàáâçčʒǯđðéèêëǧǥȟíìîïıǩŋñóòôõßšŧúùûýÿüžþæøåäö";
$linkPrefixCharset .= mb_strtoupper($linkPrefixCharset);
$linkPrefixCharset .= "‐ʼ";

This uses hyphen and modifier letter apostrophe.

Krenair renamed this task from LinkPrefixCharset for Norwegian (bokmål) Wikipedia to LinkPrefixCharset for Norwegian (bokmål).Mar 19 2016, 8:31 PM
Krenair removed a project: MediaWiki-Sites.
Krenair updated the task description. (Show Details)
jhsoby added a subscriber: jhsoby.Mar 13 2017, 8:23 PM
jeblad added a comment.EditedFeb 7 2018, 2:26 PM

No consensus, will close this.

Restricted Application added a subscriber: Danmichaelo. · View Herald TranscriptFeb 7 2018, 2:26 PM
jeblad closed this task as Invalid.Feb 7 2018, 2:28 PM